from aiogram.fsm.state import StatesGroup, State

class CreateISPOrderState(StatesGroup):
    variant_id = State()
    product_id = State()
    country_code = State()
    count = State()
    price = State()
    payment = State()

class CreateCustomOrderState(StatesGroup):
    product_id = State()
    count = State()
    price = State()

class ChooseProtocolISP(StatesGroup):
    protocol = State()

class GetHyperLinkState(StatesGroup):
    hyperlink = State()

class EditPriceState(StatesGroup):
    price = State()
    variant_id = State()

class ChangeCredentialsState(StatesGroup):
    subscribe_id = State()
    credentials = State()

class ChangeStickyState(StatesGroup):
    subscribe_id = State()
    time = State()

class GetProxyState(StatesGroup):
    counts = State()
    subscribe_id = State()
    proxy_type = State()
    settings = State()
    proxy_options = State()
    sticky = State()

class ActivatePromoDiscountState(StatesGroup):
    promo = State()

class ActivatePromoTrafficState(StatesGroup):
    promo = State()

class FindISPState(StatesGroup):
    subscribe_id = State()
    isp = State()

class AddPlanState(StatesGroup):
    subscribe_id = State()
    value = State()
    price = State()
    payment = State()
    check_payment = State()
    ipv_six = State()

class ActionWhiteListState(StatesGroup):
    ip = State()
    plan_id = State()
    action = State()
    subs_id = State()

class AdminMailingState(StatesGroup):
    message = State()
    check = State()

class AdminCreatePromoDiscountState(StatesGroup):
    promo = State()
    total = State()
    discount = State()

class AdminCreatePromoTrafficState(StatesGroup):
    promo = State()
    product_id = State()
    bandwidth = State()
    country = State()
    count = State()
    variant_id = State()

